Bug 177556 - Review Request: mod_extract_forwarded
Review Request: mod_extract_forwarded
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-11 14:43 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 12:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2006-01-11 14:43:49 EST
Spec Name or Url: http://www.timj.co.uk/linux/specs/mod_extract_forwarded.spec
SRPM Name or Url: http://www.timj.co.uk/linux/srpms/mod_extract_forwarded-2.0.2-1.src.rpm
Description:
mod_extract_forwarded is a module for Apache 2 which hooks itself into Apache's header parsing phase and looks for the X-Forwarded-For header which some (most?) proxies add to the proxied HTTP requests. It extracts the IP from the X-Forwarded-For and modifies the connection data so to the rest of Apache the request looks like it came from that IP rather than the proxy IP.
Comment 1 Ville Skyttä 2006-01-11 15:48:58 EST
No objections nor a review, but I've used mod_rpaf from
http://stderr.net/apache/rpaf/ in the past for similar purposes.  Do you happen
to be familiar with it?

Based on quickly skimming the descriptions, mod_rpaf appears to deal with
virtual hosts (X-Host/X-Forwarded-Host) in addition to X-Forwarded-For;
mod_extract_forwarded's docs don't mention that.
Comment 2 Tim Jackson 2006-01-11 17:12:42 EST
No, I've not come across mod_rpaf. They appear to do substantially the same
thing.  X-Host/X-Forwarded-Host isn't something I've come across, since I've
only used Squid (which can be configured to pass on the "real" hostname to the
backend server), so I can't comment on the support of either module for it.
Comment 3 Jason Tibbitts 2006-04-28 22:45:17 EDT
Well, heck, I worked up this review and then I noticed the NEEDSPONSOR blocker.
 But I looked through owners.list and I see that rpm@timj.co.uk already owns
three packages, so perhaps that tag is out of date.  I'll go ahead and include
the review and just leave this as FE-NEW until things are cleared up.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   d7aeb59fa81cbe74c485c33873ea1c65  extract_forwarded-2.0.2.tar.gz
   d7aeb59fa81cbe74c485c33873ea1c65  extract_forwarded-2.0.2.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present, but they're not in the default locations so
there's no need to call ldconfig.
* package is not relocatable.
* creates no directories.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no upstream test suite.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, assuming the NEEDSPONSOR blocker is incorrect.
Comment 4 Tim Jackson 2006-04-29 05:10:08 EDT
Thanks very much for the review Jason. The NEEDSPONSOR blocker is indeed
incorrect ; I'll remove it and import.
Comment 5 Tim Jackson 2006-04-29 12:29:37 EDT
Built OK in devel - job #8524
Comment 6 Tim Jackson 2007-10-15 14:01:33 EDT
Package Change Request
======================
Package Name: mod_extract_forwarded
New Branches: EL-4 EL-5
Comment 7 Kevin Fenzi 2007-10-15 16:39:06 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.